summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Youjie Zhou2014-01-03 02:50:23 +0100
committer Erik Hanson2014-01-07 18:13:59 +0100
commita996887942aa4bf143d96cd41dd376243b4dbaad (patch)
tree2a8b71c2c7aba27b715abf3a7004b4f32c22a56f /libraries
parent23f31f1f7e0a9658b02f465bd06966632742fc85 (diff)
downloadslackbuilds-a996887942aa4bf143d96cd41dd376243b4dbaad.tar.gz
libraries/vtk: Added (The Visualization Toolkit).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/vtk/README10
-rw-r--r--libraries/vtk/slack-desc19
-rw-r--r--libraries/vtk/vtk.SlackBuild102
-rw-r--r--libraries/vtk/vtk.info10
4 files changed, 141 insertions, 0 deletions
diff --git a/libraries/vtk/README b/libraries/vtk/README
new file mode 100644
index 0000000000..563303f879
--- /dev/null
+++ b/libraries/vtk/README
@@ -0,0 +1,10 @@
+The Visualization Toolkit (VTK) is an open source, freely available
+software system for 3D computer graphics, modeling, image processing,
+volume rendering, scientific visualization and information
+visualization. VTK also includes ancillary support for 3D interaction
+widgets, two and three-dimensional annotation, and parallel
+computing. At its core VTK is implemented as a C++ toolkit, requiring
+users to build applications by combining various objects into an
+application. The system also supports automated wrapping of the C++
+core into Python, Java and Tcl, so that VTK applications may also be
+written using these interpreted programming languages.
diff --git a/libraries/vtk/slack-desc b/libraries/vtk/slack-desc
new file mode 100644
index 0000000000..37a0e04b10
--- /dev/null
+++ b/libraries/vtk/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+vtk: vtk (The Visualization Toolkit)
+vtk:
+vtk: The Visualization Toolkit (VTK) is an open source, freely available
+vtk: software system for 3D computer graphics, modeling, image processing,
+vtk: volume rendering, scientific visualization and information
+vtk: visualization. VTK also includes ancillary support for 3D interaction
+vtk: widgets, two and three-dimensional annotation, and parallel
+vtk: computing.
+vtk:
+vtk: Homepage: http://www.vtk.org/VTK/project/about.html
+vtk:
diff --git a/libraries/vtk/vtk.SlackBuild b/libraries/vtk/vtk.SlackBuild
new file mode 100644
index 0000000000..f9a0962d0f
--- /dev/null
+++ b/libraries/vtk/vtk.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for vtk
+
+# Copyright 2013 Youjie Zhou <jmpopush@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=vtk
+PKGNAM=VTK
+VERSION=${VERSION:-6.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PKGNAM$VERSION # correct source code folder name is VTK6.0.0
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PKGNAM$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# move lib/ to the proper location
+if [ "$ARCH" = "x86_64" ]; then
+ mv $PKG/usr/lib $PKG/usr/lib$LIBDIRSUFFIX
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ $TMP/$PKGNAM$VERSION/Examples \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/vtk/vtk.info b/libraries/vtk/vtk.info
new file mode 100644
index 0000000000..7238c6c506
--- /dev/null
+++ b/libraries/vtk/vtk.info
@@ -0,0 +1,10 @@
+PRGNAM="vtk"
+VERSION="6.0.0"
+HOMEPAGE="http://www.vtk.org/VTK/project/project.html"
+DOWNLOAD="http://www.vtk.org/files/release/6.0/vtk-6.0.0.tar.gz"
+MD5SUM="72ede4812c90bdc55172702f0cad02bb"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Youjie Zhou"
+EMAIL="jmpopush@gmail.com"